=== WP TOOLS ===

This file contains changelog entries, so we can keep the size of the standard WordPress readme.txt file reasonable.
5.50/54 2026-01-03 - Improved  Diagnose.
5.49 2025-11-08 - Improved Errors page.
5.48 2025-10-27 - Improved Errors page.
5.43 2025-10-21 - Improved Navigation.
5.41 2025-10-01 - Removed warnings.
5.29/30 2025-07-05 - Improved chat security.
5.26/28 2025-06-11 - Added option to reinstall wordpress core files and plugins without delete them.
5.25 2025-05-29 - Improved Loading time.
5.24 2025-05-08 - Improved Loading time.
5.23 2025-05-05 - Improved Loading time.
5.22 2025-04-29 - Deafault Server Load = "NO".
5.21 2025-04-28 - Improved show errors.
5.20 2025-04-23 - Improved compatibility.
5.19 2025-04-11 - Improved security.
5.18 2025-03-12 - Improved Memory check also whit error in customer constant.
5.15/17  2025-03-06 - Improved Debug mode and debug file generation.
5.12/14  2025-02-11 - Improved Debug mode and debug file generation.
5.12/13  2025-02-10 - Improved Debug mode and debug file generation.
5.11  2025-02-08 - Improved Debug mode and debug file generation.
5.09/10  2025-02-07 - Small Improvements.
5.06/07  2025-02-04 - Improved javascript error catch.
5.03/05  2025-01-22 - Improved errorslog table.
5.00/02  2025-01-17/19 - installed advanced table to manage error log issues.
4.87/88  2025-01-09 - Small Improvements.
4.85/86  2025-01-08 - Small Improvements.
4.84  2025-01-04 - Small Improvements.
4.82/83  2024-12-24 - Small Improvements.
4.81  2024-12-24 - Added Auto checkup with IA.
4.79/80  2024-12-24 - Improved Load Time info.
4.78  2024-12-23 - Improved Load Time info.
4.77  2024-12-22 - Added chat with IA on deactivation to help
4.76  2024-12-21 - Fixed warning about textdomain
4.74/75  2024-12-20 - Added chat with IA
4.72/73  2024-11-19 - One more tool: show MU Plugins
4.71  2024-10-11 - Improved errors warnings.
4.70  2024-09-25 - Improved Dashboard.
4.67/69  2024-09-24 - Improved Error handling.
4.66  2024-09-11 - Improved Last Feedback.
4.65  2024-09-06 - Updated translation files.
4.64  2024-09-05 - Updated translation files.
4.63  2024-08-14 - Added one more tool to clean Dashboard and speed up.
4.61/62  2024-08-11 - Improved Dashboard with tips.
4.60  2024-07-29 - Improved speed admin window.
4.59  2024-07-13 - fixed Undefined variable: date_string.
4.57/58  2024-06-27 - Small Improvements.
4.56  2024-06-24 - Small Improvements.
4.55  2024-06-23 - Installed part of new framework.
4.54  2024-06-17 - Improved catch javascript errors.
4.51/53  2024-06-16 - Improved catch javascript errors.
4.49  2024-05-25 - Fixed Google Analytics Tag.
4.47/48 - 2024-05-23 - Many Improvements.
4.45 - 2024-05-22 - Many Improvements.
4.44 - 2024-05-20 - Improvements on readme file.
4.41/43 2024-04-16 -  Small Improvement.
4.40 2024-04-14 -  Included missing file more.php
4.37/39 2024-04-13 -  Small Improvements
4.36 2024-04-05 -  Improved security
4.33/35 2024-04-02 -  Improvements on errors and page load notifications.
4.32 2024-03-25 -  Improvements on errors and page load notifications.
4.30/31 2024-03-22 -  Improvements on errors and page load notifications.
4.29 2024-02-20 -  Resolve 'Incompatible Archive' issue when installing new plugin from zip.
4.27/28 2024-02-18 -  Small Improvements.
4.26 2024-02-12 -  Remove warning when constant WP_MEMORY_LIMIT is not defined: .
4.25 2024-02-02 -  Added Remove file .maintenance.
4.24 2024-02-01 -  Small Improvement.
4.23 2024-01-03 -  Small Improvement.
4.22 2023-12-31 -  Prevent warning when hosting hide IP.
4.21 2023-12-20 -  Improved email notifications.
4.20 2023-12-18 -  Improved Page Load report and email notifications.
4.19 2023-12-16 -  Improved Page Load report.
4.18 2023-12-14 -  Added Page Load table.
4.16/17 2023-12-14 -  Smal bug fixed ad page load catch.
4.15 2023-12-13 -  Added Page Load Chart.
4.14 2023-12-07 -  Small Improvements.
4.13 2023-12-03 -  Small Improvements.
4.12 2023-11-30 -  Small Improvements.
4.11 2023-11-25 -  Added chart of errors.
4.10 2023-10-16 -  Improved Javascript catch errors.
4.09 2023-10-14 -  Improved Javascript catch errors.
4.08 2023-10-08 -  Improved Error Log report.
4.05/07 2023-10-07 -  Improved Error Log report.
4.04 2023-08-24 -  Improved Help.
4.03 2023-08-20 -  Small Improvements on error messages and admin bar.
4.02 2023-08-08 -  Removed limit of 50 files with wrong permission on premium version.
4.00/4.01 2023-08-02 -  Small Improvements.
3.53 2023-04-21 -  Small Improvements.
3.51/52 2023-03-07 -  Improved Feedback System.
3.50 2023-03-06 -  Improved Feedback System.
3.49 2023-03-06 -  Improved javascript.
3.47/48 2022-11-30 -  Improved system.
3.46 2022-11-24 -  Improved system.
3.44/45 2022-11-23 -  Improved system.
3.43 2022-11-14 -  Improved security.
3.42 2022-10-28 -  Fixed Bug at link and improved security.
3.41 2022-08-02 -  Fixed Bug at processor.js.
3.40 2022-07-26 -  Add Bing webmaster Tag.
3.39 2022-07-09 -  Fixed Link error on dashboard.
3.38 2022-07-08 -  Improved Server Dashboard
3.37 2022-06-30 -  Improved Server Benchmark
3.35/3.36 2022-06-28 -  Added server Performance chart.
3.34 2022-06-20 -  Fixed small bug.
3.33 2022-06-18 -  Fixed small bug.
3.32 2022-06-17 -  Fixed small bug.
3.31 2022-06-13 -  Improved Help.
3.30 2022-06-10 -  Improved Help.
3.29 2022-06-04 -  Improved Debug, CPU chart and Feedback.
3.27-28 2022-05-19 -  Improved Hosting Limitations Control.
3.26 2022-05-15 -  Improved errors reporting.
3.25 2022-05-12 -  Fixed small bug in get memory when hosting block it.
3.24 2022-05-05 -  Fixed small graphic error on Settings page.
3.23 2022-05-04 -  Small Improvements at error control.
3.21/3.22 2022-04-03 -  Small Improvements.
3.20 2022-03-21 -  Small Improvements.
3.18/19 2022-03-09 -  Fixed small bug in link dismiss.
3.17 2022-03-07 -  Fixed small link error on dashboard.
3.16 2022-03-05 -  Added language files for Portuguese, Italian and Spanish.
3.15 2022-03-04 -  Bug Fixed
3.14 2022-03-04 -  Multilanguage ready
3.13 2022-02-23 -  Improved Dashboard, Server Benchmark, Help and other things.
3.12 2022-01-20 -  Improved Google Analytics.
3.11 2022-01-19 -  Fix small bug error when Virtual Dir is found.
3.10 2022-01-13 -  Add Tab Debug Info.
3.09 2022-01-09 -  Enable to close our banner with esc key.
3.08 2022-01-07 -  Minor Improvements.
3.07 2022-01-07 -  Minor Improvements.
3.06 2022-01-05 -  Minor Improvements.
3.05 2022-01-05 -  Minor Improvements.
3.04 2022-01-02 -  Add Button X at Window with video.
3.03 2022-01-01 -  Minor Improvements.
3.02 2021-12-30 -  Minor Improvements.
3.01 2021-12-29 -  Minor Improvements.
3.0  2021-12-28 -  Launched Premium Version.
2.56 2021-12-16 -  Hosting requirements improved.
2.55 2021-12-10 -  Title Improved.
2.54 2021-12-05 -  Small Improvements.
2.53 2021-12-03 -  Small Improvements.
2.52 2021-11-18 -  Small Improvements.
2.51 2021-11-16 -  Small Improvements.
2.50 2021-11-08 -  Minor Bug fixed.
2.49 2021-11-08 -  Small Improvements.
2.48 2021-10-29 -  Help Improved.
2.47 2021-10-18 -  Minor Bug Fixed.
2.46 2021-10-18 -  Improved Help.
2.45 2021-10-11 -  Info about Jquery version (also migrate) and table exclusive with Javascript errors.
2.44 2021-09-30 -  Protection against bad hostings.
2.43 2021-09-29 -  Add Link when find table errors to help to fix them
2.42 2021-09-29 -  Minor bug fixed
2.41 2021-09-29 -  Add Tool to repair and optimize database tables
2.40 2021-09-27 -  Minor Improvements
2.39 2021-09-22 -  Show and delete transients, check wp-config.php permissions and more.
2.38 2021-09-13 -  Added Database page info.
2.37 2021-09-12 -  Minor charts bug fixed.
2.36 2021-09-12 -  Added Dashboard with charts and more info.
2.35 2021-09-04 -  Minor Improvements.
2.34 2021-09-03 -  Added alert when PHP function disk_total_space is not installed.
2.33 2021-09-02 -  Added Server Benchmark (performance).
2.32 2021-08-31 -  Small Bug Fixed.
2.31 2021-08-31 -  Added 5 more tools.
2.30 2021-08-18 -  Small Improvements
2.29 2021-08-11 -  Show Files and Folders Permissions 
2.28 2021-08-06 -  Minor error fixed.
2.27 2021-08-06 -  Minor error fixed.
2.26 2021-08-06 -  Catch and alert about Javascript Errors.
2.25 2021-08-02 -  Minor Improvements.
2.24 2021-07-28 -  Disable the WP Admin Bar / Toolbar on the frontend of sites.
2.23 2021-07-20 -  Added Disable user's site map automatic creation.
2.22 2021-07-14 -  Added Restores the Classic Widgets Screen.
2.21 2021-07-07 -  Added Show Cookies
2.20 2021-06-21 -  Added 3 more tools.
2.19 2021-06-18 -  Minor Improvements.
2.18 2021-06-18 -  Added Robots.txt editor, WordPress Debug Bypass, Show Tables.
2.17 2021-06-14 -  Added alerts from PHP Notices, Warnings and errors.
2.16 2021-05-25 -  Minor bug fixed.
2.15 2021-05-25 -  Added 3 more tools.
2.14 2021-05-19 -  Added info about Server IP and Memory Usage.
2.13 2021-05-18 -  Minor Bug Fixed with google webmaster verification.
2.12 2021-05-18 -  Minor Bug Fixed.
2.11 2021-05-18 -  Improved Block WP emails.
2.10 2021-05-17 -  Removed Gutenberg tool
2.09 2021-05-17 -  Added more 4 tools.
2.08 2021-05-15 -  Fixed file missing last upload (.js)
2.07 2021-05-15 -  Fixed conflict with other plugins.
2.06 2021-05-15 -  Added 3 more tools.
2.05 2021-05-14 -  Improved Server Load info, now in percentage.
2.04 2021-05-10 -  Fixed problem to Upload to WordPress
2.03 2021-05-10 -  Improved Link to pag settings
2.02 2021-05-08 -  Fixed Link at Admin Toolbar
2.01 2021-05-08 -  Improved find location of error_log
2.00 2021-05-08 -  Improved find location of error_log
1.07 to 1.09 2021-05-07 -  Fixed problem to Upload to WordPress
1.06 2021-05-07 -  Added Server Load (CPU Usage)
1.05 2021-05-07 -  Fixed Small Bug
1.04 2021-05-07 -  Added PHP INFO
1.03 2021-03-08 -  Fixed Error on settings system
1.02 2021-01-30 -  Fixed Error on settings system
1.01 2021-01-29 -  Added increase limits features
1.00 2020-02-21 -  Initial Release
